summaryrefslogtreecommitdiff
path: root/package/base-files/src/etc/network/if-pre-up.d/03-bridge
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
commit6daa792eab1488d013fefc5eb7e4d01f40f38687 (patch)
tree6391cc46bb9fc8b859d99175ea317e5fa7b37959 /package/base-files/src/etc/network/if-pre-up.d/03-bridge
parentadcaca72539b2ff4a5f4deee00d5f0251378ac9b (diff)
change defaults for CONFIG/BUILD/INSTALL styles
All packages need an update, so here is a very huge commit. Most of the 460 source packages use automatic style for configuration, building and installing. Make these styles default to "auto". If you have a package, which does not conform to this, just use manual style and add a do-$task make target. I added a new style named AUTOTOOL style, which is needed for some broken packages, which needs to be updated via autoconf or automake. I renamed CONFIGURE_STYLE to CONFIG_STYLE. Updates for some packages, which have newer upstream versions. Renaming of all package/*/extra directories. Use the directory src/ to provide overwrites of source files or to add the code, when no upstream package is available or used. src directory will be automatically used.
Diffstat (limited to 'package/base-files/src/etc/network/if-pre-up.d/03-bridge')
-rwxr-xr-xpackage/base-files/src/etc/network/if-pre-up.d/03-bridge29
1 files changed, 29 insertions, 0 deletions
diff --git a/package/base-files/src/etc/network/if-pre-up.d/03-bridge b/package/base-files/src/etc/network/if-pre-up.d/03-bridge
new file mode 100755
index 000000000..41ddb2b58
--- /dev/null
+++ b/package/base-files/src/etc/network/if-pre-up.d/03-bridge
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+[ -x /usr/sbin/brctl ] || exit 0
+
+case "$IF_BRIDGE_PORTS" in
+ "")
+ exit 0
+ ;;
+ none)
+ INTERFACES=""
+ ;;
+ *)
+ INTERFACES="$IF_BRIDGE_PORTS"
+ ;;
+esac
+
+brctl addbr $IFACE || exit 1
+
+for IF in $INTERFACES; do
+ if ! grep -q $IF /proc/net/dev; then
+ echo "Error: interface '$IF' does not exist!"
+ brctl delbr $IFACE
+ exit 1
+ fi
+ brctl addif $IFACE $IF
+ ip link set up dev $IF
+done
+
+exit 0